gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-exchange] branch master updated (17cfbced -> b46dc6b9)


From: gnunet
Subject: [taler-exchange] branch master updated (17cfbced -> b46dc6b9)
Date: Fri, 27 Mar 2020 18:11:23 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a change to branch master
in repository exchange.

    from 17cfbced fix inconsistency in field naming
     new 6951892c clean logic
     new b46dc6b9 avoid warning

The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 src/auditor/generate-revoke-basedb.sh | 7 ++++---
 src/exchangedb/test_exchangedb.c      | 1 +
 2 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/src/auditor/generate-revoke-basedb.sh 
b/src/auditor/generate-revoke-basedb.sh
index c04a41ec..8bc31fab 100755
--- a/src/auditor/generate-revoke-basedb.sh
+++ b/src/auditor/generate-revoke-basedb.sh
@@ -7,6 +7,9 @@
 #
 set -eu
 
+
+trap "kill `jobs -p` &> /dev/null || true" EXIT
+
 # Exit, with status code "skip" (no 'real' failure)
 function exit_skip() {
     echo $1
@@ -253,10 +256,8 @@ taler-wallet-cli $TIMETRAVEL --wallet-db=$WALLET_DB 
advanced suspend-coins "$sus
 taler-wallet-cli $TIMETRAVEL --wallet-db=$WALLET_DB exchanges update \
                  -f $EXCHANGE_URL
 
-echo "Before Wallet CABOOM (type exit, note that you will have to terminate 
the wallet with CTRL-C)"
-
 # Block until scheduled operations are done
-taler-wallet-cli $TIMETRAVEL --wallet-db=$WALLET_DB run-until-done &> 
wallet-caboom.log
+taler-wallet-cli $TIMETRAVEL --wallet-db=$WALLET_DB run-until-done
 
 echo "Restarting merchant (so new keys are known)"
 kill -TERM $MERCHANT_PID
diff --git a/src/exchangedb/test_exchangedb.c b/src/exchangedb/test_exchangedb.c
index 61bdb481..ba8059c4 100644
--- a/src/exchangedb/test_exchangedb.c
+++ b/src/exchangedb/test_exchangedb.c
@@ -1415,6 +1415,7 @@ wire_missing_cb (void *cls,
   const struct TALER_EXCHANGEDB_Deposit *deposit = cls;
   struct GNUNET_HashCode h_wire;
 
+  (void) done;
   if (NULL != wire)
     GNUNET_assert (GNUNET_OK ==
                    TALER_JSON_merchant_wire_signature_hash (wire,

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]